io.vertx.core.spi.metrics

## Interface DatagramSocketMetrics

- All Superinterfaces:
    Metrics, NetworkMetrics<Void>

      public interface DatagramSocketMetrics
      extends NetworkMetrics<Void>

  The datagram/udp metrics SPI which Vert.x will use to call when each event occurs pertaining to datagram sockets.

  The thread model for the datagram socket depends on the actual context thats started the server.

  ### Event loop context

  Unless specified otherwise, all the methods on this object including the methods inherited from the super interfaces are invoked with the thread of the http server and therefore are the same than the `VertxMetrics` `createMetrics` method that created and returned this metrics object.

  ### Worker context

  Unless specified otherwise, all the methods on this object including the methods inherited from the super interfaces are invoked with a worker thread.
  Author:
    Nick Scavelli

- - ### Field Summary

    - ### Fields inherited from interface io.vertx.core.spi.metrics.Metrics

      `DISABLE_METRICS_PROPERTY_NAME, METRICS_ENABLED`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `listening(String localName, SocketAddress localAddress)` Called when a socket is listening.

    - ### Methods inherited from interface io.vertx.core.spi.metrics.NetworkMetrics

      `bytesRead, bytesWritten, exceptionOccurred`

    - ### Methods inherited from interface io.vertx.core.spi.metrics.Metrics

      `close, isEnabled`

- - ### Method Detail

    - #### listening

          default void listening(String localName,
                                 SocketAddress localAddress)

      Called when a socket is listening. For example, this is called when an http or net server has been created and is listening on a specific host/port.
      Parameters:
        `localName` -
        `localAddress` - the local address the net socket is listening on.

Copyright © 2020 Eclipse. All rights reserved.